<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FibBase (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FibBase (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FibBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/Ffn.html" title="class in org.apache.poi.hwpf.model"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FIBFieldHandler.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FibBase.html" target="_top">Frames</a></li>
        <li><a href="FibBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibBaseAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class FibBase" class="title">Class FibBase</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.FibBaseAbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.FibBase</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">FibBase</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">FibBaseAbstractType</a></pre>
                <div class="block">Base part of the File information Block (FibBase). Holds the core part of the
                    FIB, from the first 32 bytes.
                    <p>
                        Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Andrew C. Oliver; Sergey Vladimirov; according to Microsoft Office
                        Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] -
                        v20110608 Word (.doc) Binary File Format
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibBaseAbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FibBaseAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_1_wIdent">field_1_wIdent</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_10_flags2">field_10_flags2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_11_Chs">field_11_Chs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_12_chsTables">field_12_chsTables</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_13_fcMin">field_13_fcMin</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_14_fcMac">field_14_fcMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_2_nFib">field_2_nFib</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_3_unused">field_3_unused</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_4_lid">field_4_lid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_5_pnNext">field_5_pnNext</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_6_flags1">field_6_flags1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_7_nFibBack">field_7_nFibBack</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_8_lKey">field_8_lKey</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#field_9_envr">field_9_envr</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibBase.html#FibBase--">FibBase</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibBase.html#FibBase-byte:A-int-">FibBase</a></span>(byte[]&nbsp;std,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibBase.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibBase.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.FibBaseAbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FibBaseAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getChs--">getChs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getChsTables--">getChsTables</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getCQuickSaves--">getCQuickSaves</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getEnvr--">getEnvr</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getFcMac--">getFcMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getFcMin--">getFcMin</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getFlags1--">getFlags1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getFlags2--">getFlags2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getFSpare0--">getFSpare0</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getLid--">getLid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getLKey--">getLKey</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getNFib--">getNFib</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getNFibBack--">getNFibBack</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getPnNext--">getPnNext</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getUnused--">getUnused</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#getWIdent--">getWIdent</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFComplex--">isFComplex</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFDot--">isFDot</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFEmptySpecial--">isFEmptySpecial</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFEncrypted--">isFEncrypted</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFExtChar--">isFExtChar</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFFarEast--">isFFarEast</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFGlsy--">isFGlsy</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFHasPic--">isFHasPic</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFLoadOverride--">isFLoadOverride</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFLoadOverridePage--">isFLoadOverridePage</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFMac--">isFMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFObfuscated--">isFObfuscated</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFReadOnlyRecommended--">isFReadOnlyRecommended</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFWhichTblStm--">isFWhichTblStm</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isFWriteReservation--">isFWriteReservation</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isReserved1--">isReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#isReserved2--">isReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setChs-short-">setChs</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setChsTables-short-">setChsTables</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setCQuickSaves-byte-">setCQuickSaves</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setEnvr-byte-">setEnvr</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFcMac-int-">setFcMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFcMin-int-">setFcMin</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFComplex-boolean-">setFComplex</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFDot-boolean-">setFDot</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFEmptySpecial-boolean-">setFEmptySpecial</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFEncrypted-boolean-">setFEncrypted</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFExtChar-boolean-">setFExtChar</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFFarEast-boolean-">setFFarEast</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFGlsy-boolean-">setFGlsy</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFHasPic-boolean-">setFHasPic</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFlags1-short-">setFlags1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFlags2-byte-">setFlags2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFLoadOverride-boolean-">setFLoadOverride</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFLoadOverridePage-boolean-">setFLoadOverridePage</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFMac-boolean-">setFMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFObfuscated-boolean-">setFObfuscated</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFReadOnlyRecommended-boolean-">setFReadOnlyRecommended</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFSpare0-byte-">setFSpare0</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFWhichTblStm-boolean-">setFWhichTblStm</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setFWriteReservation-boolean-">setFWriteReservation</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setLid-int-">setLid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setLKey-int-">setLKey</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setNFib-int-">setNFib</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setNFibBack-int-">setNFibBack</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setPnNext-int-">setPnNext</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setReserved1-boolean-">setReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setReserved2-boolean-">setReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setUnused-int-">setUnused</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#setWIdent-int-">setWIdent</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FibBase--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FibBase</h4>
                                <pre>public&nbsp;FibBase()</pre>
                            </li>
                        </ul>
                        <a name="FibBase-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FibBase</h4>
                                <pre>public&nbsp;FibBase(byte[]&nbsp;std,
               int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FibBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/Ffn.html" title="class in org.apache.poi.hwpf.model"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FIBFieldHandler.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FibBase.html" target="_top">Frames</a></li>
        <li><a href="FibBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibBaseAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
